// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
div#logs((scroll)="scrolled()", #scrollPane)
  pre
    ng-container(*ngFor="let line of textContentSplit(); trackBy: trackByIndex; let lineNumber = index")
      span.ryax-line-number {{lineNumber + 1}}
      span {{line}}
      br
div#footer
  button#ryax-refresh(nz-button, *ngIf="refreshButton", (click)="refresh()", nzGhost, nzSize="small")
    i(nz-icon, nzType="redo", nzTheme="outline")
    | &nbsp;Refresh
  nz-spin(nzSimple, [nzSpinning]="loading")
  button(nz-button, [cdkCopyToClipboard]="textContent ? textContent : ''", (cdkCopyToClipboardCopied)="copied($event)", nz-tooltip="Copy to clipboard" )
    i(nz-icon, nzType="copy", nzTheme="outline")
  button(nz-button, (click)="scrollToTop()")
    i(nz-icon, nzType="caret-up", nzTheme="outline")
  button(nz-button, (click)="scrollToBottom()")
    i(nz-icon, nzType="caret-down", nzTheme="outline")
